
Foreman - Feature #9470

Option to send Puppet error emails for all hosts to a user

02/19/2015 12:24 PM - Andy Taylor

Status: Closed   

Priority: Normal   

Assignee: Amir Fefer   

Category: E-Mail   

Target version: 1.12.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases: 1.7.2

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/2923,

https://github.com/theforeman/foreman/p

ull/3306

  

Description

The new email features in 1.7.x are a welcome addition, but they cause a fairly serious issue for me - I no longer receive all the

Puppet errror reports. The new approach means that only owners of VMs receive the error emails, which in my environment is

developers. I don't want them to receive the notifications, but I do want our Operations team to receive them.

Could an option be added under 'My account > Mail Preferences' to receive all Puppet error reports? Or alternatively have another

option in the 'Puppet error state' dropdown so the list of options would look like this:

No emails

Subscribe to my hosts

Subscribe to all hosts

Thanks,

Andy

Related issues:

Related to Foreman - Tracker #7585: Mail notifications tracker New

Related to Foreman - Bug #15247: toplevel constant PuppetError referenced by ... Closed 05/31/2016

Associated revisions

Revision 55e7865d - 03/11/2016 05:08 AM - Amir Fefer

Fixes #9470 - Adds an option to send puppet error emails for all host to a user

Adds an option to the puppet error state notification - Subscribe to all hosts, when error occurs from any authorize host, the user will get an email

Revision f329b160 - 03/14/2016 12:49 PM - Dominic Cleal

refs #9470 - set :limit on column, fix MailNotification initializer

MailNotification.new failed unless it had a Hash argument, hence the

factory had been changed from default behaviour.  It also then ignored

all attributes except a given few listed in initialize_with.

History

#1 - 02/20/2015 03:32 AM - Dominic Cleal

- Related to Tracker #7585: Mail notifications tracker added

#2 - 11/17/2015 07:33 PM - Amir Fefer

- Assignee set to Amir Fefer

#3 - 11/19/2015 05:55 AM - The Foreman Bot
- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/2923 added

#4 - 03/11/2016 06:01 AM - Amir Fefer

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 55e7865de244ac0adcfc566eff3b0f9a49f2675a.

#5 - 03/11/2016 06:20 AM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/3306 added

#6 - 03/15/2016 04:53 AM - Dominic Cleal

- translation missing: en.field_release set to 136

#7 - 05/31/2016 11:38 AM - Dominic Cleal

- Related to Bug #15247: toplevel constant PuppetError referenced by MailNotification::PuppetError added
